// JavaScript Document
var ii=0;var postStr="";var isRun=true;var idx="";
var addperform=function(x,doadd){
	var iCount=$("#agentprice input[name='id']").size();
	var maxCount=(ii+1)*10;
	var isGet=true;
	if(maxCount>=iCount) {maxCount=iCount;isGet=false;}
	var agentPrice=0;
	for(i=ii*10;i<maxCount;i++){
		var id=$("#agentprice input[name=id]:eq("+i+")").val();
		for(ji=1;ji<6;ji++){

		
		switch(x){
			case 1:
				agentPrice=parseInt($("#agentprice #agentPrice"+ji+"_"+id).val())||0;
				$("#agentprice #sellPrice"+ji+"_"+id).val(parseInt(agentPrice*(100+doadd)/100));
				break;
			case 2:
				agentPrice=parseInt($("#agentprice #x_agentPrice"+ji+"_"+id).val())||0
				$("#agentprice #sellPrice"+ji+"_"+id).val(agentPrice+doadd);	
				break;
			default:
				break;
		}

		}

		}
		if(isGet){
			ii++;
			setTimeout(function(){
					addperform(x,doadd);			
					},200)
			}else{
			alert("设置成功，请提交"+iCount+"|"+maxCount+"|"+ii);				
				}
	}

$(function(){
		$("a#addperform").click(function(){
		var doadd=parseInt($("#doadd").val())||0;							 
		idx="";postStr="";isRun=true;ii=0;addperform(1,doadd);return false;
		
		})
		$("a#addperform2").click(function(){
		var doadd=parseInt($("#doadd2").val())||0;
		idx="";postStr="";isRun=true;ii=0;addperform(2,doadd);return false;
		})		   
		   })